SELECT
        count(distinct ad_actions.ad_id) AS stat_value,
	'<%%stat_name%>' <%(?lang) || '_%lang'%> AS stat_name
FROM
        ad_actions
        JOIN ad_media USING (ad_id) -- only ads with rows in ad_media
        JOIN action_states AS verified ON
                ad_actions.ad_id = verified.ad_id AND
                ad_actions.action_id = verified.action_id AND
                ad_actions.action_type IN ('new', 'editrefused') AND
                verified.state = 'pending_review' AND
				verified.transition IN ('verify','pay', 'cleared_by') AND 
                verified.timestamp >= '<%%stat_time%>' AND verified.timestamp < TIMESTAMP '<%%stat_time%>' + INTERVAL '1 DAY'
	JOIN action_states AS approved ON
                ad_actions.ad_id = approved.ad_id AND
                ad_actions.action_id = approved.action_id AND
                action_type IN ('new', 'editrefused') AND
                approved.state = 'accepted' AND
                approved.transition IN ('accept', 'accept_w_chngs') AND
                approved.timestamp >= '<%%stat_time%>'
<%(?lang)
        JOIN ads ON ads.ad_id=ad_actions.ad_id
        WHERE
                lang = '%lang'
%>
;
